Summary:	A slick-looking LightDM greeter
Name:		slick-greeter
Version:	1.0.7
Release:	1%{?dist}
License:	GPLv3+
URL:		https://github.com/linuxmint/%{name}
Source0:	%{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:	slick-greeter.gschema.override
Source2:	slick-greeter.conf

# Patches from upstream.

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	gnome-common
BuildRequires:	pkgconfig(liblightdm-gobject-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libcanberra)
BuildRequires:	vala

Provides:	lightdm-greeter = 1.2
Provides:	lightdm-slick-greeter = %{version}

Requires:	lightdm%{?_isa}
# Themeing require
Requires:	arc-theme
Requires:	desktop-backgrounds-compat
%if 0%{?fedora}
Requires:	google-noto-sans-fonts
%endif # 0%%{?fedora}
Requires:	mint-y-icons

%if 0%{?fedora}
Recommends:	lightdm-settings
%endif # 0%%{?fedora}

%description
A cross-distro LightDM greeter based on unity-greeter.


%prep
%autosetup -p 1

install -pm 0644 %{SOURCE2} slick-greeter.conf.example

NOCONFIGURE=1 ./autogen.sh


%build
%configure

%make_build V=1


%install
%make_install V=1

install -Dpm 0644 debian/90-slick-greeter.conf \
  %{buildroot}%{_datadir}/lightdm/lightdm.conf.d/90-slick-greeter.conf

install -Dpm 0644 %{SOURCE1} \
  %{buildroot}%{_datadir}/glib-2.0/schemas/10_slick-greeter.gschema.override

install -Dpm 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/lightdm/slick-greeter.conf

chmod a+x %{buildroot}/%{_bindir}/slick-greeter-check-hidpi

%find_lang %{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/xgreeters/slick-greeter.desktop


%pre
%{_sbindir}/update-alternatives \
  --remove lightdm-greeter \
  %{_datadir}/xgreeters/slick-greeter.desktop 2> /dev/null ||:


%files -f %{name}.lang
%doc debian/changelog README.md slick-greeter.conf.example
%license debian/copyright COPYING
%{_bindir}/slick-greeter-check-hidpi
%{_bindir}/slick-greeter-set-keyboard-layout
%{_sbindir}/slick-greeter
%config(noreplace) %{_sysconfdir}/lightdm/slick-greeter.conf
%{_datadir}/slick-greeter/
%{_datadir}/xgreeters/
%{_datadir}/glib-2.0/schemas/*.gschema.*
%{_datadir}/lightdm/lightdm.conf.d/90-slick-greeter.conf
%{_mandir}/man1/slick-greeter*


%changelog
* Tue Jun 13 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.7-1
- Update to 1.0.7 release

* Tue May 30 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.6-1
- Update to 1.0.6 release

* Fri May 26 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.5-2
- Add upstream patch to improve gtk3 compatibility

* Thu May 25 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.5-1
- Update to 1.0.5 release

* Wed May 24 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.4-2
- Add upstream patch to fix background

* Tue May 23 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.4-1
- Update to 1.0.4 release

* Sat May 13 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.2-1
- Update to 1.0.2 release (rhbz#1450544)

* Fri May 05 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.1-1
- Update to 1.0.1 release

* Sat Apr 15 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-15
- Remove unused file
- Fix override schema
- Add virtual provides

* Wed Apr 12 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.0-14
- Revert previous change, lightdm-settings is noarch

* Tue Apr 11 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.0-13
- Enforce arch on Recommends: lightdm-settings

* Mon Apr 10 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.0-12
- Add some patches for enhancements from upstream

* Mon Apr 10 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.0-11
- Set `org.gnome.desktop.interface toolkit-accessibility true`
  in gschema.override

* Sat Apr 08 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-10
- Add hidpi on or off support

* Sat Apr 08 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.0-9
- Set system-defaults in gschema-override

* Sat Apr 08 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-8
- Fix permissions for slick-greeter-check-hidpi

* Fri Apr 07 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.0-7
- Fix font used in default config

* Fri Apr 07 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.0-6
- Add several fixes from upstream
- Add new binary slick-greeter-check-hidpi
- Add changelog and copyright from debian-directory

* Fri Apr 07 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.0-5
- Fix conditional

* Fri Apr 07 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.0-4
- Add Recommends: lightdm-settings

* Fri Apr 07 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.0-3
- Use Noto Sans Regular font on Fedora

* Fri Apr 07 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-2
- Do review changes

* Fri Apr 07 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-1
- First build
